Allow displaying toolbox for remote targets in a tab
For now, if we implement a devtools interface in a Tab,
this tab can't open a toolbox for a remote target. It can only display a toolbox for itself. But it would be great for about:debugging (as well as it would have been handy for the App-manager) to be able to display a toolbox for a custom target.

About:debugging could be using CustomHost to integrate a toolbox on its own,
but it introduces docshell issues we had while using this in the App-manager.
It would be easier if we could just use regular  hosts, but with a custom remote target.
